Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class DefaultDatagramSocketFactory

    java.lang.Object
      org.apache.commons.net.DefaultDatagramSocketFactory

All Implemented Interfaces:
  DatagramSocketFactory

    public class DefaultDatagramSocketFactory

extends Object
implements DatagramSocketFactory

DefaultDatagramSocketFactory implements the DatagramSocketFactory interface by simply wrapping the java.net.DatagramSocket constructors. It is the default DatagramSocketFactory used by `DatagramSocketClient` implementations.

Author:
  Daniel F. Savarese
See Also:
  `DatagramSocketFactory`, `DatagramSocketClient`, `DatagramSocketClient.setDatagramSocketFactory(org.apache.commons.net.DatagramSocketFactory)`

Constructor Summary
`DefaultDatagramSocketFactory()`

Method Summary
`DatagramSocket` | `createDatagramSocket()` Creates a DatagramSocket on the local host at the first available port.
`DatagramSocket` | `createDatagramSocket(int port)` Creates a DatagramSocket on the local host at a specified port.
`DatagramSocket` | `createDatagramSocket(int port, InetAddress laddr)` Creates a DatagramSocket at the specified address on the local host at a specified port.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDatagramSocketFactory

    public DefaultDatagramSocketFactory()

Method Detail

### createDatagramSocket

    public DatagramSocket createDatagramSocket()
                                        throws SocketException

  Creates a DatagramSocket on the local host at the first available port.

  Specified by:
    `createDatagramSocket` in interface `DatagramSocketFactory`
  Throws:
    `SocketException` - If the socket could not be created.

### createDatagramSocket

    public DatagramSocket createDatagramSocket(int port)
                                        throws SocketException

  Creates a DatagramSocket on the local host at a specified port.

  Specified by:
    `createDatagramSocket` in interface `DatagramSocketFactory`
  Parameters:
    `port` - The port to use for the socket.
  Throws:
    `SocketException` - If the socket could not be created.

### createDatagramSocket

    public DatagramSocket createDatagramSocket(int port,
                                               InetAddress laddr)
                                        throws SocketException

  Creates a DatagramSocket at the specified address on the local host at a specified port.

  Specified by:
    `createDatagramSocket` in interface `DatagramSocketFactory`
  Parameters:
    `port` - The port to use for the socket.
    `laddr` - The local address to use.
  Throws:
    `SocketException` - If the socket could not be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.